Bug 270494 - Wrong variable values if user opens Disassembly tab
Wrong variable values if user opens Disassembly tab
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
PC Solaris
: P2 (vote)
: Dev
Assigned To: Maria Tishkova
issues@cnd
82patch-candidate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-26 13:13 UTC by soldatov
Modified: 2017-05-05 01:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-04-26 13:13:31 UTC
NetBeans Platform 8.2 (Build 201704181436) has not this bug
NetBeans Platform 8.2 (Build 201704210828) contains bug

Scenario:
- Create Welcome project
- Push Step Into
- Open welcome.cc file
- Call context menu in editor and select Disassembly
- Open Variables tab
==> I see argc = 0x5
- Call context menu on 'argc' node and select "Output Base|Binary"
==> I see argc = 0x65 (in binary format!!!)
Comment 1 Maria Tishkova 2017-04-26 16:24:36 UTC
regression after fix bz#269684 
should be fixed
Comment 2 Maria Tishkova 2017-04-27 15:19:25 UTC
fixed in enum/release82

changeset:   315749:75894d418298
branch:      release82
tag:         tip
parent:      315717:2a0ed323e56e
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Thu Apr 27 18:17:55 2017 +0300
Comment 3 Quality Engineering 2017-05-05 01:45:52 UTC
Integrated into 'main-silver', will be available in build *201705050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/87a04d6d6186
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#248868 - NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.interpUpdate
fixed bz#270494 - Wrong variable values if user opens Disassembly tab
fixed bz#269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
(transplanted from 75894d418298108045809b0de3d54d3d2171c53a)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo